Notice bugs: strict php standard

Phoca Gallery - image gallery extension
over
Phoca Member
Phoca Member
Posts: 16
Joined: 08 Jul 2010, 14:23

Notice bugs: strict php standard

Post by over » 19 Feb 2012, 19:34

Hi,
I updated my Xampp including Php 5.3.8. Joomla recommends 5.3+.

With error messages activated I get a lot of Notice Error Messages.
PhocaGallery 3.5.1. Joomla 2.5.1

Maybee you should check this.

Examples:
Mostly incompatible declarations, call to non-static methods and reference to methods.

Strict Standards: Declaration of PhocaGalleryCpController::display() should be compatible with that of JController::display() in D:\xampp\htdocs\j2_5\administrator\components\com_phocagallery\controller.php on line 46

Strict Standards: Non-static method PhocaGalleryRenderInfo::getPhocaVersion() should not be called statically, assuming $this from incompatible context in D:\xampp\htdocs\j2_5\administrator\components\com_phocagallery\views\phocagallerycp\view.html.php on line 22

Strict Standards: Non-static method PhocaGalleryRenderAdmin::quickIconButton() should not be called statically, assuming $this from incompatible context in D:\xampp\htdocs\j2_5\administrator\components\com_phocagallery\views\phocagallerycp\tmpl\default.php on line 9

Strict Standards: Only variables should be assigned by reference in D:\xampp\htdocs\j2_5\administrator\components\com_phocagallery\libraries\phocagallery\render\renderadmin.php on line 28
ImagesImages

Strict Standards: Non-static method PhocaGalleryRenderAdmin::quickIconButton() should not be called statically, assuming $this from incompatible context in D:\xampp\htdocs\j2_5\administrator\components\com_phocagallery\views\phocagallerycp\tmpl\default.php on line 12

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 41777
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Notice bugs: strict php standard

Post by Jan » 21 Feb 2012, 22:57

Hi, disable strict standards on your php or disable it in Joomla!

See more information about strict standards in this forum (because of php4 it was not possible to prevent from them)

Jan
If you find Phoca extensions useful, please support the project

Post Reply